import { Button } from '@kobalte/core';
import { A } from '@solidjs/router';
import { Component, createEffect, For } from 'solid-js';
import { useNavigate } from 'solid-start';

interface Props {
  users: any;
}

const Users: Component<Props> = (props) => {
  const { users } = props;
  const navigate = useNavigate();

  createEffect(() => {
    console.log({
      caller: 'Users',
      users: users(),
    });
  });

  const newHandler = () => {
    navigate('/user/new');
  };

  return (
    <>
      <Button.Root onclick={newHandler}>New</Button.Root>
      <ul>
        <For each={users()}>
          {(user: any) => {
            console.log({
              caller: 'Users / loop',
              users: user,
            });
            return (
              <li>
                <A href={user.id}>{user.id}</A> (
                <a href={`mailto:${user.doc.mail}`}>{user.doc.mail}</a>)
              </li>
            );
          }}
        </For>
      </ul>
    </>
  );
};

export default Users;
