import { useParams } from 'solid-start';
import User from '~/components/user';
import { createEffect, createSignal, Show } from 'solid-js';
import { adminCredentials, CheckCredentials } from '~/components/credentials';
import { get } from '~/lib/get';

export default () => {
  const { id } = useParams();
  const [user, setUser] = createSignal();

  createEffect(async () => {
    if (!user()) {
      setUser(await get(id));
      console.log({
        caller: '/routes/user/[id].ts / createEffect',
        user: user(),
        adminCredentials: adminCredentials(),
      });
    }
  });

  return (
    <main>
      <h1>User</h1>
      <CheckCredentials>
        <Show when={!!user()}>
          <User values={user} />
        </Show>
      </CheckCredentials>
    </main>
  );
};
